Doomsday Engine - Feature #1501

Non-64-pixel flats
2009-11-14 20:36 - tolwyn

Status: Rejected Start date: 2009-11-14
Priority: Normal % Done: 0%
Assignee: danij

Category:

Target version:

Description
It'd be cool, in a def file per sector number (or sector group) to enable flats and tiling of the engine in different multiples of 2.

4,16, 32, 64, 128, 512, etc.

Labels: Map Editing

Related issues:
Related to Bug #910: Flat tiling error with custom flats New 2010-05-30

History

#1 - 2013-10-22 10:38 - skyjake
- Tags set to Renderer, Resources

- Subject changed from Breaking the 64 Grid Flats Barrier to Non-64-pixel flats

danij, do we already support regular textures on planes, and if so, they must tile in a non-64x64 size?

#2 - 2013-10-22 10:39 - skyjake
- Status changed from New to Feedback

- Assignee set to danij

#3 - 2013-10-22 22:47 - danij

We do indeed already support using any texture type on any surface. This is implemented opaquely via the Material mechanism. Also, materials (and
their component textures) can both be scaled independently of map space coordinates (hi-res replacement textures are then scaled accordingly).

| believe what tolwyn is actually looking for is support for ZDoom's method of interpreting flat textures. If the lump data is 4096 bytes then assume it

defines a 64x64 texture, otherwise try each pow”2 multiple and derive the world dimensions accordingly. Essentially this would be a compatibility
logic (there is no need for this in a Doomsday specific mod).

#4 - 2013-10-23 07:37 - skyjake

tolwyn wrote:

in a def file per sector number

That sounds like a different thing altogether...

Maybe we should just close this issue and make another for the ZDoom flat compatibility?

#5 - 2013-10-23 12:58 - danij

Ah, yeah. In that case it sounds like he wants a per-surface material scaling factor (XG 2.0?)

#6 - 2019-11-29 19:22 - skyjake
- Status changed from Feedback to Rejected
